(function()
{
	var disable_shorts = function()
	{
		// Redirect away from shorts videos
		if (location.href.indexOf("/shorts/") != -1)
			location.href = "https://www.youtube.com/watch?v=" + location.pathname.split("/")[2];

		// Hide shorts-related elements and ads
		var banners = document.getElementsByClassName("ytd-statement-banner-renderer");
		for (var i = 0; i < banners.length; i++)
			banners[i].remove();
		var shelf = document.getElementsByTagName("ytd-rich-shelf-renderer");
		for (var i = 0; i < shelf.length; i++)
			shelf[i].remove();
		var shortsResults = document.getElementsByTagName("ytd-reel-shelf-renderer");
		for (var i = 0; i < shortsResults.length; i++)
			shortsResults[i].remove();

		// Turn any other shorts links into regular links
		var links = document.getElementsByTagName("a");
		for (var i = 0; i < links.length; i++) {
			if (links[i].href.indexOf("/shorts/") != -1)
				links[i].href = "https://www.youtube.com/watch?v=" + links[i].href.split("/")[4];
		}
	};
	window.addEventListener("load", disable_shorts, false);
	var observer = new MutationObserver(disable_shorts);
	observer.observe(document.body, {subtree: true, childList: true});
})();
